; ##############################################################################
; ##############################################################################
; ##############################################################################
; ARG1 CTSIEN GPO2OEN PATCH XOSCEN FUNC[3:0]												
; ARG2 OPMODE[7:0]																			
;																							
; ARG1 7 CTSIEN CTS Interrupt Enable. 0 = CTS interrupt disabled. 1 = CTS interrupt enabled.
; ARG1 6 GPO2OEN GPO2 Output Enable. 0 = GPO2 output disabled. 1 = GPO2 output enabled.		
; ARG1 5 PATCH Patch Enable. 0 = Boot normally. 1 = Copy NVM to RAM, but do not boot. After CTS has been set, RAM may be patched.
; ARG1 4 XOSCEN Crystal Oscillator Enable. 0 = Use external RCLK (crystal oscillator disabled). 1 = Use crystal oscillator (RCLK and GPO3/DCLK with external 32.768 kHz crystal and OPMODE=00000101).
;!ARG1 3:0 FUNC[3:0]Function. 0 = Reserved. 1 = AM/SW/LW Receive. 214 = Reserved. 15 = Query Library ID.
; ARG2 7:0 OPMODE[7:0] Application Setting.										
;					00000000 = RDS output only (no audio outputs) Si4749 only	
;					00000101 = Analog audio outputs (LOUT/ROUT).				
;					00001011 = Digital audio output (DCLK, LOUT/DFS, ROUT/DIO)	
;					10110000 = Digital audio outputs (DCLK, DFS, DIO)			
SI4735_POWER_UP_AM:
	ldi temp1,(TWI_ADRESSE_RADIO)
	rcall TWI_MASTER_TRANSMITTER_START_TEMP1	; MT-START	
	
	ldi temp1,(POWER_UP)
	rcall TWI_MASTER_TRANSMITTER_TEMP1			; CMD		
	ldi temp1,0b00010001	; 32kHz Quarz, AM
	rcall TWI_MASTER_TRANSMITTER_TEMP1			; ARG		
	ldi temp1,0b00000101	; Analog Output
	rcall TWI_MASTER_TRANSMITTER_TEMP1			; ARG		

	rcall TWI_STOP								; STOPP		

	; Pause wichtig	
	rcall wait_1s
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; CMD  0 1 0 0 0 0 0 0															
; ARG1 0 0 0 0 0 0 0 FAST	FAST Tuning. If set, executes fast and invalidated tune. The tune status will not be accurate.
; ARG2 FREQH	[7:0]		Tune frequency in kHz. In AM/SW/LW mode, the valid range is from 149 to 23000 (149 kHz23 MHz). In AM only mode the valid range is from 520 to 1710 (5201710 kHz).
; ARG3 FREQL	[7:0]															
; ARG4 ANTCAPH	[15:8]		Antenna Tuning Capacitor							
; ARG5 ANTCAPL	[7:0]															
SI4735_AM_TUNE_FREQ:
	ldi temp1,(TWI_ADRESSE_RADIO)
	rcall TWI_MASTER_TRANSMITTER_START_TEMP1	; MT-START	
	
	ldi temp1,(AM_TUNE_FREQ)
	rcall TWI_MASTER_TRANSMITTER_TEMP1			; CMD		

	ldi temp1,0b00000000	; FAST
	rcall TWI_MASTER_TRANSMITTER_TEMP1			; ARG1		
	ldi temp1,HIGH(1440)	; 
	rcall TWI_MASTER_TRANSMITTER_TEMP1			; ARG2		
	ldi temp1,LOW (1440)	; 
	rcall TWI_MASTER_TRANSMITTER_TEMP1			; ARG3		
	ldi temp1,0
	rcall TWI_MASTER_TRANSMITTER_TEMP1			; ARG4		
	ldi temp1,0
	rcall TWI_MASTER_TRANSMITTER_TEMP1			; ARG5		

	rcall TWI_STOP								; STOPP		

	rcall wait_100ms

ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; CMD  0 1 0 0 0 0 0 1									
; ARG1 0 0 0 0 SEEKUP WRAP 0 0							
; ARG2 0 0 0 0 0 0 0 0									
; ARG3 0 0 0 0 0 0 0 0									
; ARG4 ANTCAPH											
; ARG5 ANTCAPL											
;														
;!ARG1 3 SEEKUP Seek Up/Down. UP = 1, or DOWN = 0.		
;!ARG1 2 WRAP Wrap/Halt. Determines whether the seek should Wrap = 1, or Halt = 0 when it hits theband limit.
; ARG4 15:8 ANTCAPH[15:8]Antenna Tuning Capacitor 		
; ARG5 7:0 ANTCAPL[7:0]									
SI4735_AM_SEEK_START:
	ldi temp1,(TWI_ADRESSE_RADIO)
	rcall TWI_MASTER_TRANSMITTER_START_TEMP1	; MT-START	
	
	ldi temp1,(AM_SEEK_START)
	rcall TWI_MASTER_TRANSMITTER_TEMP1			; CMD		

	ldi temp1,0b00001100 ; UP
	rcall TWI_MASTER_TRANSMITTER_TEMP1			; ARG1		
	ldi temp1,0
	rcall TWI_MASTER_TRANSMITTER_TEMP1			; ARG2		
	ldi temp1,0
	rcall TWI_MASTER_TRANSMITTER_TEMP1			; ARG3		
	ldi temp1,0
	rcall TWI_MASTER_TRANSMITTER_TEMP1			; ARG4		
	ldi temp1,0
	rcall TWI_MASTER_TRANSMITTER_TEMP1			; ARG5		

	rcall TWI_STOP								; STOPP		
	rcall wait_1s
	rcall wait_1s
	rcall wait_1s
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
SI4735_AM_TUNE_STATUS:
	ldi temp1,(TWI_ADRESSE_RADIO)
	rcall TWI_MASTER_TRANSMITTER_START_TEMP1	; MT-START	
	
	ldi temp1,(AM_TUNE_STATUS)
	rcall TWI_MASTER_TRANSMITTER_TEMP1			; CMD		
	ldi temp1,0x03
	rcall TWI_MASTER_TRANSMITTER_TEMP1			; ARG1		
	rcall TWI_STOP								; STOPP		


	ldi temp1,(TWI_ADRESSE_RADIO)
	rcall TWI_MASTER_RECEIVER_START_TEMP1		; MR-START	
	rcall TWI_MASTER_RECEIVER_ACK_TEMP1			; STATUS	
	STS(adr_STATUS),temp1
	rcall TWI_MASTER_RECEIVER_ACK_TEMP1			; RESP1		
	STS(adr_RESP_01),temp1
	rcall TWI_MASTER_RECEIVER_ACK_TEMP1			; RESP2		
	STS(adr_RESP_02),temp1
	STS(adr_FREQUENZ_IST_H),temp1	; Frequenz (H)
	rcall TWI_MASTER_RECEIVER_ACK_TEMP1			; RESP3		
	STS(adr_RESP_03),temp1
	STS(adr_FREQUENZ_IST_L),temp1	; Frequenz (L)
	rcall TWI_MASTER_RECEIVER_ACK_TEMP1			; RESP4		
	STS(adr_RESP_04),temp1
	rcall TWI_MASTER_RECEIVER_ACK_TEMP1			; RESP5		
	STS(adr_RESP_05),temp1
	rcall TWI_MASTER_RECEIVER_ACK_TEMP1			; RESP6		
	STS(adr_RESP_06),temp1
	rcall TWI_MASTER_RECEIVER_NO_ACK_TEMP1		; RESP7		
	STS(adr_RESP_07),temp1

	rcall TWI_STOP								; STOPP		

ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
